﻿/*
Copyright © 2010 François Karman

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.

See <license.txt> for the complete license of the software.
*/

namespace MSBuild.Mercurial
{
    /// <summary>
    /// Contains the public information about the strong name
    /// signature of the current assembly.
    /// </summary>
    public static class StrongName
    {
        /// <summary>
        /// The public key.
        /// </summary>
        public const string PublicKey
            = "002400000480000094000000060200000024000052534131000"
            + "4000001000100437d2fcd9200ca5d955114c86d2433c98fb4b0"
            + "0f212096262a5da119df6317617c93cc253c4d90a05c1230e28"
            + "923e6a33fa1e013568f3a1f1f3307549f85e2e1403803d9fa47"
            + "f30d0b04300025aa29aa691246027b395c557875fec8b8b9be9"
            + "df2770d04168c688fe3fdde2438e0660ee4ef8596645704ea7d"
            + "dad1313e0e22b1";
    }
}
