﻿/*
Copyright © 2010 François Karman

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND,
EXPRESS OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES
OF MERCHANTABILITY, FITNESS FOR A PARTICULAR PURPOSE AND
NONINFRINGEMENT. IN NO EVENT SHALL THE AUTHORS OR COPYRIGHT
HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER LIABILITY,
WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR
OTHER DEALINGS IN THE SOFTWARE.

See <license.txt> for the complete license of the software.
*/

namespace MSBuild.Mercurial.Sample
{
    /// <summary>
    /// Contains the paths and constants used as references for the project.
    /// </summary>
    public static class Reference
    {
        /// <summary>
        /// The base directory of the samples.
        /// </summary>
        public const string SampleDirectory = "..\\..\\..\\..\\Source\\MSBuild.Mercurial.Sample";

        /// <summary>
        /// The base directory of the Framework .Net 3.5.
        /// </summary>
        public const string Framework35 = @"C:\Windows\Microsoft.NET\Framework\v3.5";
    }
}
